<?xml version="1.0" encoding="UTF-8"?>
<part class="form">
  <style>
    <property name="Geometry">{324,142,926,596}</property>
    <property name="Name">[vb_ut1a]</property>
    <property name="Caption">[Vendas do Periodo]</property>
    <property name="AlwaysOnTop">.F.</property>
    <property name="AutoCenter">.T.</property>
    <property name="Font">
      <font name="Courier New" width="0" height="-12" weight="400"/>
    </property>
    <property name="FormType">[dlgModal]</property>
    <property name="Modal">.F.</property>
    <property name="ScopeVarObj">[Local]</property>
    <property name="lClipper">.T.</property>
    <property name="lExitOnEnter">.T.</property>
    <property name="lExitOnESC">.T.</property>
    <property name="Variables">{modus}</property>
    <property name="FromStyle">[Popup]</property>
    <property name="Clipsiblings">.F.</property>
    <property name="Clipchildren">.F.</property>
    <property name="TitleBar">.T.</property>
    <property name="StyleBorder">[3 - Sizable (Default)]</property>
    <property name="nBackColor">16777215</property>
    <property name="Icon">[]</property>
    <property name="NoIcon">.F.</property>
    <property name="SystemMenu">.F.</property>
    <property name="Minimizebox">.F.</property>
    <property name="Maximizebox">.F.</property>
    <property name="AbsAlignment">.T.</property>
    <property name="WindowState">[1 - Normal (Default)]</property>
    <property name="minHeight">-1</property>
    <property name="maxHeight">-1</property>
    <property name="minWidth">-1</property>
    <property name="maxWidth">-1</property>
    <property name="ScrollBars">[0 - None (Default)]</property>
    <property name="DSControl">.F.</property>
  </style>
  <method name="onDlgInit">
    <![CDATA[//skel variavel zTktMedio:=if(nQtdPedidos>0, tVnd/nQtdPedidos, 0)

// oVendas:RmChart_GrafPizza(oContainerFpag, 'Pizza_FormasPag')
oVendas:RmChart_GrafPizza(oContainerCFOPs, 'Pizza_GrupoCfops')
oVendas:RmChart_GrafPizza(oContainerFpag, 'Donnut_FormasPag')
// oVendas:RmChart_GrafPizza(oContainerCFOPs, 'Donnut_GrupoCfops')
]]>
  </method>
  <part class="container">
    <style>
      <property name="Geometry">{409,157,250,250}</property>
      <property name="Name">[oContainerFpag]</property>
      <property name="TabIndex">0</property>
    </style>
  </part>
  <part class="line">
    <style>
      <property name="Geometry">{409,434,510,2}</property>
      <property name="Name">[oLine1]</property>
    </style>
  </part>
  <part class="container">
    <style>
      <property name="Geometry">{409,464,510,100}</property>
      <property name="Name">[oContainer1]</property>
      <property name="TabIndex">0</property>
    </style>
    <part class="button">
      <style>
        <property name="Geometry">{782,521,70,28}</property>
        <property name="Name">[oOwnerbutton2]</property>
        <property name="Id">[IDCANCEL]</property>
        <property name="Caption">[&amp;Sair]</property>
        <property name="TabIndex">1001</property>
        <property name="TabStop">.F.</property>
      </style>
    </part>
    <part class="buttonex">
      <style>
        <property name="Geometry">{418,480,98,32}</property>
        <property name="Name">[oButtonex1]</property>
        <property name="Caption">[&amp;1.Vendedores]</property>
        <property name="TabIndex">1002</property>
      </style>
      <method name="onClick">
        <![CDATA[oVendas:lst_venda()]]>
      </method>
    </part>
    <part class="buttonex">
      <style>
        <property name="Geometry">{418,520,98,32}</property>
        <property name="Name">[oButtonex4]</property>
        <property name="Caption">[&amp;3.Dia Semana]</property>
        <property name="TabIndex">1002</property>
      </style>
      <method name="onClick">
        <![CDATA[oVendas:GrafBarras()]]>
      </method>
    </part>
    <part class="buttonex">
      <style>
        <property name="Geometry">{530,480,98,32}</property>
        <property name="Name">[oButtonex2]</property>
        <property name="Caption">[&amp;2.Projecoes]</property>
        <property name="TabIndex">1002</property>
      </style>
      <method name="onClick">
        <![CDATA[oVendas:proj_vbut1()
oVendas:dados_dias()]]>
      </method>
    </part>
    <part class="buttonex">
      <style>
        <property name="Geometry">{530,520,98,32}</property>
        <property name="Name">[oButtonex3]</property>
        <property name="Caption">[&amp;4.Venda Hora]</property>
        <property name="TabIndex">1002</property>
      </style>
      <method name="onClick">
        <![CDATA[oVendas:GrafBarras('VendaHora')]]>
      </method>
    </part>
    <part class="buttonex">
      <style>
        <property name="Geometry">{642,480,98,32}</property>
        <property name="Name">[oButtonex5]</property>
        <property name="Caption">[&amp;5.Pedidos]</property>
        <property name="TabIndex">1002</property>
      </style>
      <method name="onClick">
        <![CDATA[relat("vb_r2(,,,.t.)","NB")]]>
      </method>
    </part>
  </part>
  <part class="container">
    <style>
      <property name="Geometry">{669,157,250,250}</property>
      <property name="Name">[oContainerCfops]</property>
      <property name="TabIndex">0</property>
    </style>
  </part>
  <part class="group">
    <style>
      <property name="Geometry">{409,10,510,136}</property>
      <property name="Name">[oGroup1]</property>
      <property name="TabIndex">1</property>
    </style>
    <part class="editbox">
      <style>
        <property name="Geometry">{553,30,77,18}</property>
        <property name="Name">[od_de]</property>
        <property name="varName">[d_de]</property>
        <property name="nMaxLength">10</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">1</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{483,30,70,16}</property>
        <property name="Name">[oSayd_de]</property>
        <property name="Caption">[Vendas de]</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Courier New" width="0" height="-12" weight="700"/>
        </property>
        <property name="TabIndex">2</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{679,30,77,18}</property>
        <property name="Name">[od_ate]</property>
        <property name="varName">[d_ate]</property>
        <property name="nMaxLength">10</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">2</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{641,30,28,16}</property>
        <property name="Name">[oSayd_ate]</property>
        <property name="Caption">[ate]</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Courier New" width="0" height="-12" weight="700"/>
        </property>
        <property name="TabIndex">3</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{423,54,133,16}</property>
        <property name="Name">[oSaytVnd]</property>
        <property name="Caption">[Venda do Periodo.:]</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Courier New" width="0" height="-12" weight="700"/>
        </property>
        <property name="TabIndex">14</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{698,54,80,16}</property>
        <property name="Name">[oSaynumok]</property>
        <property name="Caption">[Qtd Vendas:]</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Courier New" width="0" height="-12" weight="700"/>
        </property>
        <property name="TabIndex">15</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{698,74,80,16}</property>
        <property name="Name">[oLabel2]</property>
        <property name="Caption">[Tkt Medio:]</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Courier New" width="0" height="-12" weight="700"/>
        </property>
        <property name="TabIndex">15</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{698,94,80,16}</property>
        <property name="Name">[oSaynumdel]</property>
        <property name="Caption">[Canceladas:]</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Courier New" width="0" height="-12" weight="700"/>
        </property>
        <property name="TabIndex">16</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{698,114,80,16}</property>
        <property name="Name">[oSaynumalt]</property>
        <property name="Caption">[Alteradas.:]</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Courier New" width="0" height="-12" weight="700"/>
        </property>
        <property name="TabIndex">17</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{423,94,133,16}</property>
        <property name="Name">[oSaytVndZZ]</property>
        <property name="Caption">[Outras Operacoes.:]</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Courier New" width="0" height="-12" weight="700"/>
        </property>
        <property name="TabIndex">18</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{423,74,133,16}</property>
        <property name="Name">[oLabel1]</property>
        <property name="Caption">[Descontos .......:]</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Courier New" width="0" height="-12" weight="700"/>
        </property>
        <property name="TabIndex">18</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{423,114,133,16}</property>
        <property name="Name">[oSaytVndTV]</property>
        <property name="Caption">[Vendas TeleVendas:]</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Courier New" width="0" height="-12" weight="700"/>
        </property>
        <property name="TabIndex">19</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{556,54,112,18}</property>
        <property name="Name">[otVnd]</property>
        <property name="varName">[tVnd]</property>
        <property name="AutoHScroll">.T.</property>
        <property name="cPicture">[@e 999,999,999.99]</property>
        <property name="nMaxLength">15</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">31</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{556,74,112,18}</property>
        <property name="Name">[otDsc]</property>
        <property name="varName">[tDsc]</property>
        <property name="AutoHScroll">.T.</property>
        <property name="cPicture">[@e 99999,999.99]</property>
        <property name="nMaxLength">13</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">35</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{781,54,90,18}</property>
        <property name="Name">[onumok]</property>
        <property name="varName">[nQtdPedidos]</property>
        <property name="AutoHScroll">.T.</property>
        <property name="cPicture">[9999999]</property>
        <property name="nMaxLength">10</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">36</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{781,74,90,18}</property>
        <property name="Name">[ozTktMedio]</property>
        <property name="varName">[zTktMedio]</property>
        <property name="AutoHScroll">.T.</property>
        <property name="cPicture">[9999999.99]</property>
        <property name="nMaxLength">12</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">36</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{781,94,90,18}</property>
        <property name="Name">[onumdel]</property>
        <property name="varName">[nQtdDeletados]</property>
        <property name="AutoHScroll">.T.</property>
        <property name="cPicture">[999999]</property>
        <property name="nMaxLength">10</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">37</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{781,114,90,18}</property>
        <property name="Name">[onumalt]</property>
        <property name="varName">[nQtdAlterados]</property>
        <property name="AutoHScroll">.T.</property>
        <property name="cPicture">[999999]</property>
        <property name="nMaxLength">10</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">38</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{556,94,112,18}</property>
        <property name="Name">[otVndZZ]</property>
        <property name="varName">[tVndZZ]</property>
        <property name="AutoHScroll">.T.</property>
        <property name="cPicture">[@e 999,999,999.99]</property>
        <property name="nMaxLength">15</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">39</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{556,114,112,18}</property>
        <property name="Name">[otVndTV]</property>
        <property name="varName">[tVndTV]</property>
        <property name="AutoHScroll">.T.</property>
        <property name="cPicture">[@e 999,999,999.99]</property>
        <property name="nMaxLength">15</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">40</property>
      </style>
    </part>
  </part>
  <part class="gridex">
    <style>
      <property name="Geometry">{5,153,390,245}</property>
      <property name="Name">[oGridCFOP]</property>
      <property name="font">
        <font name="Arial" width="0" height="-16" weight="400"/>
      </property>
      <property name="Items">{Dia,Pedidos,Venda}</property>
      <property name="Bitmap">{}</property>
      <property name="TabIndex">45</property>
    </style>
    <method name="onInit">
      <![CDATA[hwgGrid('CFOP;oVendas:aVendaCfops[nRow,3];C;@S25;20;;')
hwgGrid('Vendas;oVendas:aVendaCfops[nRow,2];N;@E 999,999,999;11;;')
hwgGrid('%Total;100*oVendas:aVendaCfops[nRow,2]/tVnd;N;@E 999.9%;7;;')

hwgGrid('CFOP;oVendas:aVendaCfops[nRow,4];C;@S20;20;;')

hwgGrid('ativar', @oGridCFOP, @oVendas:aVendaCfops)
//hwgGrid('PedTV;oVendas:aVendaDiaDaSemana[nRow,3];N;999,999;7;;')
//hwgGrid('VendaTV;oVendas:aVendaDiaDaSemana[nRow,4];N;@E 999,999,999;11;;')]]>
    </method>
  </part>
  <part class="gridex">
    <style>
      <property name="Geometry">{5,404,390,160}</property>
      <property name="Name">[oGridFpag]</property>
      <property name="font">
        <font name="Arial" width="0" height="-16" weight="400"/>
      </property>
      <property name="Items">{Dia,Pedidos,Venda}</property>
      <property name="Bitmap">{}</property>
      <property name="TabIndex">45</property>
    </style>
    <method name="onInit">
      <![CDATA[hwgGrid('FormaPag;oVendas:aVendaFpag[nRow,1];C;@S10;10;;')
hwgGrid('Vendas;oVendas:aVendaFpag[nRow,2];N;@E 999,999,999;11;;')
hwgGrid('%Total;if(tVnd>0,100*oVendas:aVendaFpag[nRow,2]/tVnd,0);N;@E 999.9%;7;;')

hwgGrid('Descontos;oVendas:aVendaFpag[nRow,3];N;@E 999,999,999;11;;')
hwgGrid('%Total;if(tDsc>0,100*oVendas:aVendaFpag[nRow,3]/tDsc,0);N;@E 999.9%;7;;')

hwgGrid('Comissoes;oVendas:aVendaFpag[nRow,4];N;@E 999,999,999;11;;')
hwgGrid('%Total;if(tCom>0,100*oVendas:aVendaFpag[nRow,4]/tCom,0);N;@E 999.9%;7;;')

hwgGrid('ativar', @oGridFpag, @oVendas:aVendaFpag)

//hwgGrid('PedTV;oVendas:aVendaDiaDaSemana[nRow,3];N;999,999;7;;')
//hwgGrid('VendaTV;oVendas:aVendaDiaDaSemana[nRow,4];N;@E 999,999,999;11;;')]]>
    </method>
  </part>
  <part class="gridex">
    <style>
      <property name="Geometry">{5,5,390,143}</property>
      <property name="Name">[oGridCFOPgrp]</property>
      <property name="font">
        <font name="Arial" width="0" height="-16" weight="400"/>
      </property>
      <property name="Items">{Dia,Pedidos,Venda}</property>
      <property name="Bitmap">{}</property>
      <property name="TabIndex">45</property>
    </style>
    <method name="onInit">
      <![CDATA[hwgGrid('Grupo CFOP;oVendas:aGrupoCfops[nRow,1];C;@S25;20;;')
hwgGrid('Vendas;oVendas:aGrupoCfops[nRow,2];N;@E 999,999,999;11;;')
hwgGrid('%Total;100*oVendas:aGrupoCfops[nRow,2]/tVnd;N;@E 999.9%;7;;')

hwgGrid('ativar', @oGridCFOPgrp, @oVendas:aGrupoCfops)
//hwgGrid('PedTV;oVendas:aVendaDiaDaSemana[nRow,3];N;999,999;7;;')
//hwgGrid('VendaTV;oVendas:aVendaDiaDaSemana[nRow,4];N;@E 999,999,999;11;;')]]>
    </method>
  </part>
</part>
